Page MenuHomePhabricator

Added status condition for proposals
Needs ReviewPublic

Authored by Nehajha on Oct 17 2017, 6:26 PM.

Details

Maniphest Tasks
T116260: Total proposals received on Report by reviewer page should exclude abandoned proposals
Reviewers
Niharika
Patch without arc
git checkout -b D823 && curl -L https://phabricator.wikimedia.org/D823?download=true | git apply
Summary

Exclude abandoned proposals in Total proposals and proposals reviewed

Bug: T116260

Diff Detail

Repository
rWIEG wikimedia-iegreview
Branch
T116260
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 2645
Build 4416: differential-jessieJenkins
Build 4415: arc lint + arc unit

Event Timeline

Nehajha created this revision.Oct 17 2017, 6:26 PM
Niharika added inline comments.Dec 11 2017, 10:19 AM
src/Dao/Campaigns.php
181

Single quotes. Same for the other change.

Nehajha added inline comments.Dec 12 2017, 10:04 AM
src/Dao/Campaigns.php
181

I think single quotes will not work but we can remove the quotes.

Niharika added inline comments.Dec 19 2017, 3:36 AM
src/Dao/Campaigns.php
181

They will. You just need to escape them - "... AND status != \'abandoned\'

Nehajha updated this revision to Diff 2455.Dec 23 2017, 12:23 PM

Added single quotes

Nehajha marked an inline comment as done.Dec 23 2017, 12:26 PM